## MonsterVariants
- Adds a couple rare, powerful and unique monster variants for those seeking more difficulty in their runs
- There are no upsides, it's purely for the difficulty spike
- Spawn rates fully configurable
- Well documented, easy to understand backend that supports mesh swaps, texture swaps, skill replacements, custom inventories and more! Adding a new variant is as simple as one line of code

[![](https://cdn.discordapp.com/attachments/469291841859092488/797847315314507826/unknown.png)]()

[![](https://cdn.discordapp.com/attachments/469291841859092488/797848483075194890/unknown.png)]()

[![](https://cdn.discordapp.com/attachments/469291841859092488/797847502283472946/unknown.png)]()

[![](https://cdn.discordapp.com/attachments/469291841859092488/797847883927126046/unknown.png)]()

## Current Variants
Monsters can spawn with multiple modifiers (if applicable)
Suggestions for more always welcome!

Armored Beetle (10% chance)
- 150% size
- 300% health
- +20 armor

Speedy Beetle (30% chance)
- 170% movement speed

Flamethrower Lemurian (2% chance)
- 3000% attack speed
- 30% damage

Badass Lemurian (2% chance)
- Has a missile launcher

Nuclear Jellyfish (5% chance)
- 85% movement speed
- 75% attack speed
- 150% size
- 500% health
- +20 armor
- 600% damage
- Larger blast radius, applies Cripple debuff

Spectral Jellyfish (4% chance)
- 1 Dio's Best Friend

M.O.A.J (2% chance)
- 400% size
- 4000% health
- 40% movement speed
- +80 armor
- Spawns 5 Jellyfish on death

Cursed Jellyfish (1% chance)
- 3 Red Whips
- 2 Runald's Bands
- 1 Crowbar

Infernal Wisp (2% chance)
- 3 Brilliant Behemoths
- 100% crit

Full-Auto Golem (4% chance)
- 800% attack speed
- 80% damage
- -20 armor

Titanlet (2% chance)
- 250% size
- 400% health
- 50% movement speed
- 300% damage

Overcharged Golem (2% chance)
- All health is converted to shields
- 1000% attack speed

Speedy Bison (30% chance)
- 400% movement speed

Albino Bison (4% chance)
- 125% size
- 300% health
- +20 armor

Beetle Guard Brute (25% chance)
- 110% size
- 200% health
- 50% movement speed
- 90% attack speed
- 140% damage
- +10 armor

Clotted Imp (5% chance) - by Syme
- 80% size
- 80% health
- 2 Hardlight Afterburners
- 4 Lens Makers Glasses
- 1 Shatterspleen

Artillery Vulture (3% chance) - by Syme
- 125% size
- 400% attack speed
- 50% damage
- +100 armor
- 3 Clovers
- 1 ATG
- 3 Brilliant Behemoths

Colossal Titan (2% chance)
- 300% size
- 300% health
- 50% movement speed
- 200% damage
- +50 armor

Golemlet (2% chance)
- 30% size
- 500% movement speed

## Known Issues


## Future Plans
Better visual clarity and more unique effects
Custom spawn sound for certain variants
Lots more variants planned

## Changelog
`1.2.1`
- Possibly networked spawns
- Overcharged Golem attack speed: 100% > 1000%- any damage is enough to stun them so they should be threatening at least

`1.2.0`
- Fixed a stupid mistake causing half the variants not to spawn and Nuclear Jellies to spawn 5x as much- thanks Syme for fixing!
- Cleaned up code some more, some bugfixes, more modularization and implemented skill replacements
- Nuclear Jellyfish size: 300% > 150%
- Nuclear Jellyfish movement speed: 75% > 85%
- Nuclear Jellyfish health: 1000% > 500%
- Nuclear Jellyfish armor: +50 > +20
- Nuclear Jellyfish blast radius increased, now applies cripple
- Added variant: Badass Lemurian
- Added variant: M.O.A.J.
- Added variant: Speedy Bison
- Added variant: Albino Bison
- Added variant: Clotted Imp(made by Syme!)
- Added variant: Artillery Vulture(made by Syme!)
- Added variant: Colossal Titan
- Added variant: Golemlet
- Added a secret variant

`1.1.0`
- Added variant: Speedy Beetle
- Added variant: Beetle Guard Brute
- Added variant: Overcharged Golem
- Added variant: Cursed Jellyfish
- Added variant: Spectral Jellyfish
- Added variant: Infernal Wisp
- Armored Beetle size: 150% > 135%
- Titanlet movement speed: 20% > 50%
- Titanlet damage: 150% > 300%
- Nuclear Jellyfish movement/attack speed: 50% > 75%
- Nuclear Jellyfish bonus armor: 20 > 50
- Refactored code and linked repo to make adding variants easy even with zero programming experience

`1.0.2`
- Fixed the damage multipiler using the same value as the attack speed multiplier, causing Flamethrower Lemurians to have 4000% damage
- Lowered Flamethrower Lemurian damage multiplier to 30%
- Lowered Full-Auto Golem damage multiplier to 80%
- Increased Nuclear Jellyfish health multiplier to 1000%, added 10 more armor

`1.0.1`
- Added configurable spawn rates

`1.0.0`
- Initial Release